# TakeyPlush
**Adds a customizable Takey plushie scrap item with some functionalities.** 😈

This mod was made for Twitch streamer [Takerst](https://www.twitch.tv/takerst).

## Config Settings
| General Settings | Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `SpawnWeight` | `Int32` | `10` | Takey Plush spawn chance weight. higher = more common. |
| `TwoHanded` | `Boolean` | `false` | If enabled, the Takey Plush will be two-handed. |
| `CarryWeight` | `Int32` | `5` | Takey Plush carry weight in pounds. |
| `MinValue` | `Int32` | `80` | Takey Plush min scrap value. |
| `MaxValue` | `Int32` | `250` | Takey Plush max scrap value. |

| Evil Takey Settings | Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `EvilTakeyChance` | `Int32` | `20` | The percent chance Smol Takey becomes evil. |
| `FlyDuration` | `Single` | `5` | The flight duration of Evil Takey in seconds. |
| `ExplosionDamage` | `Int32` | `50` | The explosion damage of Evil Takey. |
| `MaxExplosionRange` | `Single` | `6.4` | The max explosion range of Evil Takey in meters. |

## TakeyGokuBracken - Config Settings
* Separate config file: `com.github.zehsteam.TakeyGokuBracken.cfg`
* TakeyGokuBracken requires the [GokuBracken](https://thunderstore.io/c/lethal-company/p/Vulf/GokuBracken/) mod to be enabled.

| General Settings| Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `SpawnChance` | `Int32` | `25` | The percent chance a Goku Bracken turns into a Takey Goku Bracken. |

## DontTouchMyClogs - Config Settings
* Separate config file: `com.github.zehsteam.DontTouchMyClogs.cfg`

| General Settings| Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `SpawnWeight` | `Int32` | `10` | Wooden Clogs spawn chance weight. higher = more common. |
| `TwoHanded` | `Boolean` | `false` | If enabled, the Wooden Clogs will be two-handed. |
| `CarryWeight` | `Int32` | `10` | Wooden Clogs carry weight in pounds. |
| `MinValue` | `Int32` | `80` | Wooden Clogs min scrap value. |
| `MaxValue` | `Int32` | `250` | Wooden Clogs max scrap value. |

| Karaoke Settings| Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `VideoVolume` | `Int32` | `0.75` | The volume of the karaoke video. (0.0 to 1.0) |

| Music Settings| Setting type | Default value | Description |
| ----------- | ----------- | ----------- | ----------- |
| `EnableMusic` | `Boolean` | `false` | STREAMER WARNING! Music is DMCA. If enabled, the music will be play. (This does not affect Karaoke) |
| `MusicVolume` | `Int32` | `1` | The volume of the music. (0.0 to 1.0) |